Skip to content

Create Qdrant

POST
/vector_db/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"sku_item_price_id": 0,
"replicas": 0,
"vectordb_type": "string",
"disk_size": 0,
"collections": {
"collection_name": "string",
"vectors": {
"size": 0,
"distance": "string"
},
"replication_factor": 0,
"shard_number": 0,
"sharding_method": "string"
}
}'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name

The name of the VectorDB instance

string
sku_item_price_id

The SKU item price ID

integer
replicas

The number of replicas

integer
vectordb_type

The type of vector database (e.g., Qdrant)

string
disk_size

The disk size in GB

integer
collections
object
collection_name

The name of the collection

string
vectors
object
size

The size of the vectors

integer
distance

The distance metric (e.g., Cosine)

string
replication_factor

The replication factor for the collection

integer
shard_number

The number of shards

integer
sharding_method

The method of sharding (e.g., auto)

string

Example generated

{
"name": "example",
"sku_item_price_id": 1,
"replicas": 1,
"vectordb_type": "example",
"disk_size": 1,
"collections": {
"collection_name": "example",
"vectors": {
"size": 1,
"distance": "example"
},
"replication_factor": 1,
"shard_number": 1,
"sharding_method": "example"
}
}

Vector database instance created successfully

Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
disk_size
integer
replicas
integer
status
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
vectordb_type
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
is_free
boolean
is_active
boolean
gpu_switch_type
string
nullable
local_storage_in_gb
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number format: float
currency
string
is_active
boolean
description
string
endpoint_url
string
ip_enabled
boolean
api_key
string
read_only_api_key
string
dashboard_url
string
number_of_vectors
string
number_of_collections
string
total_peers
string
custom_sku
string
nullable
private_cloud_id
string
nullable
errors
object

Example

{
"code": 201,
"message": "Created Successfully",
"data": {
"id": 327,
"name": "tir-qdrant-0709120fd5ghh1616",
"disk_size": 30,
"replicas": 3,
"status": "Creating",
"created_by": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com"
},
"created_at": "2024-11-14T05:42:58.096699Z",
"updated_at": "2024-11-14T05:42:58.096769Z",
"vectordb_type": "Qdrant",
"sku_details": {
"specs": {
"sku_id": 133,
"name": "VDB.16GB",
"series": "CPU",
"cpu": 4,
"gpu": 0,
"memory": 16,
"is_free": false,
"is_active": true,
"local_storage_in_gb": 0
},
"plan": {
"sku_item_price_id": 635,
"sku_type": "hourly",
"committed_days": 0,
"unit_price": 9,
"currency": "INR",
"is_active": true,
"description": "Hourly Compute Instance"
}
},
"endpoint_url": "327v04a82908-vectordatabase.e2enetworks.net",
"ip_enabled": false,
"api_key": "9BtmiMORVjztx9Jqpoooy7PnNlkjM#04",
"read_only_api_key": "z7zXhiNBhEcPR5jUJLd@",
"dashboard_url": "https://327v04a82908-vectordatabase.e2enetworks.net:6333/dashboard",
"number_of_vectors": "",
"number_of_collections": "",
"total_peers": "",
"custom_sku": null,
"private_cloud_id": null
},
"errors": {}
}